Skip to main content
`Ctrl`+`K`

# PetscDrawGetCoordinates

Gets the application coordinates of the corners of the window (or page).

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawGetCoordinates(PetscDraw draw, PetscReal *xl, PetscReal *yl, PetscReal *xr, PetscReal *yr)

Not Collective

## Input Parameter

- draw - the drawing object

## Output Parameters

- xl - the horizontal coordinate of the lower left corner of the drawing region.

- yl - the vertical coordinate of the lower left corner of the drawing region.

- xr - the horizontal coordinate of the upper right corner of the drawing region.

- yr - the vertical coordinate of the upper right corner of the drawing region.

## See Also

`PetscDraw`, `PetscDrawSetCoordinates()`

## Level

advanced

## Location

src/sys/classes/draw/interface/dcoor.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages